X2Go Bug report logs - #122
x2goclient takes about 30s to detect if application was closed

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Christoph Mathys <eraserix@gmail.com>

Date: Tue, 19 Feb 2013 07:33:01 UTC

Severity: normal

Tags: confirmed, pending

Fixed in version 4.0.1.16

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Full log


Message #14 received at 122@bugs.x2go.org (full text, mbox, reply):

Received: (at 122) by bugs.x2go.org; 29 Jun 2014 19:51:54 +0000
From mike.gabriel@das-netzwerkteam.de  Sun Jun 29 21:51:45 2014
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00
	autolearn=unavailable version=3.3.2
Received: from freya.das-netzwerkteam.de (freya.das-netzwerkteam.de [88.198.48.199])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTPS id 810BB5DB53;
	Sun, 29 Jun 2014 21:51:45 +0200 (CEST)
Received: from grimnir.das-netzwerkteam.de (grimnir.das-netzwerkteam.de [78.46.204.98])
	by freya.das-netzwerkteam.de (Postfix) with ESMTPS id 41D2D1766;
	Sun, 29 Jun 2014 21:51:45 +0200 (CEST)
Received: from localhost (localhost [127.0.0.1])
	by grimnir.das-netzwerkteam.de (Postfix) with ESMTP id 10E323BA3B;
	Sun, 29 Jun 2014 21:51:45 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at grimnir.das-netzwerkteam.de
Received: from grimnir.das-netzwerkteam.de ([127.0.0.1])
	by localhost (grimnir.das-netzwerkteam.de [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id uP8xUrhUR443; Sun, 29 Jun 2014 21:51:44 +0200 (CEST)
Received: from grimnir.das-netzwerkteam.de (localhost [127.0.0.1])
	by grimnir.das-netzwerkteam.de (Postfix) with ESMTPS id 9E7E63B996;
	Sun, 29 Jun 2014 21:51:44 +0200 (CEST)
Received: from p4FCFCF33.dip0.t-ipconnect.de (p4FCFCF33.dip0.t-ipconnect.de
 [79.207.207.51]) by mail.das-netzwerkteam.de (Horde Framework) with HTTP;
 Sun, 29 Jun 2014 19:51:44 +0000
Date: Sun, 29 Jun 2014 19:51:44 +0000
Message-ID: <20140629195144.Horde.E4QTxoydGlHHOjCLJMPjiw1@mail.das-netzwerkteam.de>
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 122@bugs.x2go.org
Cc: 122-submitter@bugs.x2go.org
Subject: long detection of closure some rootless applications
User-Agent: Internet Messaging Program (IMP) H5 (6.1.7)
Accept-Language: en,de
Organization: DAS-NETZWERKTEAM
X-Originating-IP: 79.207.207.51
X-Remote-Browser: Mozilla/5.0 (X11; Linux x86_64; rv:30.0) Gecko/20100101
 Firefox/30.0 Iceweasel/30.0
Content-Type: multipart/signed; boundary="=_cPjT-TGUVX9CRiLpi-fabw1";
 protocol="application/pgp-signature"; micalg=pgp-sha1
MIME-Version: 1.0
[Message part 1 (text/plain, inline)]
Control: reassign -1 x2goserver
Control: tag -1 confirmed

Hi Christoph,

a while ago you reported bug #122 on the X2Go bug tracker.

The issue of this behaviour is exactly in x2goruncommand of the X2Go  
Server code.

Let me see if I can get a fix into the upcoming X2Go Server release  
4.0.1.16...

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Mon Apr 22 18:30:57 2024; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.